package ${domain}.action.ajax.wsys;

import org.springframework.beans.factory.annotation.Autowired;
import ${domain}.frame.auth.LocalData;
import ${domain}.module.wsys.mgr.VisitorResManager;
import ${domain}.module.wsys.req.VisitorResCreateRequest;
import ${domain}.module.wsys.req.VisitorResDeleteRequest;
import ${domain}.module.wsys.req.VisitorResFindRequest;
import ${domain}.module.wsys.req.VisitorResUpdateRequest;
import ${domain}.module.wsys.rsp.VisitorResCreateResponse;
import ${domain}.module.wsys.rsp.VisitorResDeleteResponse;
import ${domain}.module.wsys.rsp.VisitorResFindResponse;
import ${domain}.module.wsys.rsp.VisitorResUpdateResponse;

public class VisitorResAjax{

    @Autowired
    private VisitorResManager visitorResManager;

    public VisitorResCreateResponse create(VisitorResCreateRequest request) {
        return visitorResManager.create(request, LocalData.getToken());
    }

    public VisitorResDeleteResponse delete(VisitorResDeleteRequest request) {
        return visitorResManager.delete(request, LocalData.getToken());
    }

    public VisitorResUpdateResponse update(VisitorResUpdateRequest request) {
        return visitorResManager.update(request, LocalData.getToken());
    }

    public VisitorResFindResponse find(VisitorResFindRequest request) {
        return visitorResManager.find(request, LocalData.getToken());
    }
}
